Bug 214106 - (pear-Net-FTP) Review Request: php-pear-Net-FTP - Provides an OO interface to the PHP FTP functions plus some additions
Review Request: php-pear-Net-FTP - Provides an OO interface to the PHP FTP fu...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-05 14:28 EST by Remi Collet
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-07 11:59:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2006-11-05 14:28:30 EST
Spec URL: http://remi.collet.free.fr/rpms/extras/php-pear-Net-FTP.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/php-pear-Net-FTP-1.3.2-1.fc6.src.rpm
Mock Log: http://remi.collet.free.fr/rpms/extras/php-pear-Net-FTP-build.log
Description: 
Net_FTP allows you to communicate with FTP servers in a more comfortable
way than the native FTP functions of PHP do. The class implements everything
nativly supported by PHP and additionally features like recursive up- and
downloading, dircreation and chmodding. It although implements an observer
pattern to allow for example the view of a progress bar.


Package required by php-pear-Service-Weather, comming soon to review.
Comment 1 Christopher Stone 2006-11-06 18:03:57 EST
==== REVIEW CHECKLIST ====
- rpmlint output clean
- packaged named according to package naming guidelines
- spec filename matches package %{name}
- spec file meets packaging guidelines
- package licensed with open source compatible license
- license matches actual license
- license file included in %doc
- spec file written in American english
- spec file is legible
- sources match upstream
fce386d6029e1171ab8f46c7568f2637  Net_FTP-1.3.2.tgz
- package successfully compiles and builds on FC5 x86_64
- All build requires listed
- no locales
- no shared libraries
- package not relocatable
- package owns all directories it creates
- file attributes set properly
- package contains proper %clean section
- macro usage is consistent
- package contains code
- no large documentation present
- files in %doc do not affect runtime
- no header files or static libraries
- no pkgconfig files
- no need for devel subpackage
- not a GUI app

APPROVED
Comment 2 Remi Collet 2007-04-29 12:36:00 EDT
Package Change Request
======================
Package Name: php-pear-Net-FTP
New Branches: EL-5

Note You need to log in before you can comment on or make changes to this bug.